.\"
.\" %nmhwarning%
.\" $Id: whom.man,v 1.5 2001/01/25 21:16:00 ssen Exp $
.\"
.TH WHOM %manext1% "%nmhdate%" MH.6.8 [%nmhversion%]
.SH NAME
whom \- report to whom a message would go
.SH SYNOPSIS
.HP 5
.na
.B whom
.RB [ \-alias
.IR aliasfile ]
.RB [ \-check " | " \-nocheck ]
.RB [ \-draft ]
.RB [ \-draftfolder
.IR +folder ]
.RB [ \-draftmessage
.IR msg ]
.RB [ \-nodraftfolder ]
.RI [ file ]
.RB [ \-version ]
.RB [ \-help ]
.ad
.SH DESCRIPTION
.B Whom
is used to expand the headers of a message into a set of
addresses and optionally verify that those addresses are deliverable at
that time (if
.B \-check
is given).
.PP
The
.B \-draftfolder
.I +folder
and
.B \-draftmessage
.I msg
switches invoke
the
.B nmh
draft folder facility.  This is an advanced (and highly
useful) feature.  Consult the
.BR mh-draft (5)
man page for more information.
.PP
The files specified by the profile entry \*(lqAliasfile:\*(rq and any
additional alias files given by the
.B \-alias
.I aliasfile
switch will be
read (more than one file, each preceded by
.BR \-alias ,
can be named). See
.BR mh\-alias (5)
for more information.

.SH FILES
.fc ^ ~
.nf
.ta \w'%etcdir%/ExtraBigFileName  'u
^$HOME/\&.mh\(ruprofile~^The user profile
.fi

.SH "PROFILE COMPONENTS"
.fc ^ ~
.nf
.ta 2.4i
.ta \w'ExtraBigProfileName  'u
^Path:~^To determine the user's nmh directory
^Draft\-Folder:~^To find the default draft\-folder
^Aliasfile:~^For a default alias file
^postproc:~^Program to post the message
.fi

.SH "SEE ALSO"
mh\-alias(5), post(8)

.SH DEFAULTS
.nf
.RB ` file "' defaults to <mh\-dir>/draft"
.RB ` \-nocheck '
.RB ` \-alias "' defaults to  %etcdir%/MailAliases"
.fi

.SH CONTEXT
None

.SH BUGS
With the
.B \-check
option,
.B whom
makes no guarantees that the
addresses listed as being ok are really deliverable, rather, an address
being listed as ok means that at the time that
.B whom
was run
the address was thought to be deliverable by the transport service.
For local addresses, this is absolute; for network addresses, it means
that the host is known; for uucp addresses, it (often) means that the
.B UUCP
network is available for use.
